var niveau;
var position;
var pcX;
var pcY;
var centreX;
var centreY;

$(function (){
	position=0;

	$('div.cadre').not(':first').each(function(){

		$(this).css({ opacity: 0.7 });
	});

	$('h1').each(function(){
		var larg=$(this).parent().height();

		$(this).css('font-size', ( larg/13)+"px" );
	});
	//////////////////////////////
	// EVENTS

	$(document).mousemove(function(event){
		pcX=20-20*event.pageX/getInnerWidth();
		pcY=20-20*event.pageY/getInnerHeight();
		centreX=event.pageX/(getInnerWidth()/2)-1;
		centreY=event.pageY/(getInnerHeight()/2)-1;
		BougeCadres();
	});

	$(document).keydown(function(e){
		//if(e.target.is(':animated')) return;

		if (e.keyCode == 37) { // gauche
		   AllerAGauche();
		}

		if (e.keyCode == 39) { // droite
			AllerADroite();
		}

		if (e.keyCode == 38 || e.keyCode == 13) { // Haut
			EntrerDedans();
		}

		if (e.keyCode == 40) { // Bas : rien
		}
	});
	//Wipe

	$(document).wipetouch({
	  tapToClick: true, // if user taps the screen, triggers a click event
	  wipeLeft: function(result) {
		AllerADroite();
	  },
	  wipeRight: function(result) {
		AllerAGauche();
	  },
	  wipeUp: function(result) {
		EntrerDedans();
	  },
	  wipeDown: function(result) {
	  }
	});
	window.ondevicemotion = function (e) {
		pcX=20-20*e.accelerationIncludingGravity.x/getInnerWidth();
		pcY=20-20*e.accelerationIncludingGravity.y/getInnerHeight();
		centreX=e.accelerationIncludingGravity.x/(getInnerWidth()/2)-1;
		centreY=e.accelerationIncludingGravity.y/(getInnerHeight()/2)-1;
		BougeCadres();
		}

	$('h1').bind("resize",function(){
		var larg=$(this).parent().height();

		$(this).css('font-size', ( larg/13)+"px" );
	});

	$('div.interieur').bind("resize",function(){
		var larg=$(this).parent().height();

		$(this).css('zoom', (2*larg / getInnerHeight()) );
	});
});
////////////////////////////////

function BougeCadres()
{
	//$('h1:first').html('centreX='+centreX);

	$('div.cadre')
		.not(':first')
		.each(

			function() {

			$(this).css({
				'top' : pcY+'%',
				'left'  : (85*($(this).parent().children().index(this))+pcX)+'%'
			});				
		});

	$('div.sousmenus').css({'-webkit-transform': 'perspective(500) rotateY('+(6*centreX)+'deg) rotateX('+(-6*centreY)+'deg)'});

	$('div.sousmenus:first')
		.children()
		.each(

			function() {

			$(this).css({
				'top' : pcY+'%',
				'left'  : (85*($(this).parent().children().index(this)-position)+pcX)+'%'
			});
		});
}

function AllerAGauche()
{
	position--;

	if(position<0) position=$('div.sousmenus:first').children().length-1;

	$('div.sousmenus:first')
		.children()
		.each(

			function() {

			$(this).animate({
				'left'  : (85*($(this).parent().children().index(this)-position)+10)+'%'
			}, 500);
		});
}

function AllerADroite()
{
	position++;

	if(position==$('div.sousmenus:first').children().length) position=0;

	$('div.sousmenus:first')
		.children()
		.each(

			function() {

			$(this).animate({
				'left'  : (85*($(this).parent().children().index(this)-position)+10)+'%'
			}, 500);
		});
}

function EntrerDedans()
{

	$('div.sousmenus:first').children().each(

		function() {				

			if ($(this).parent().children().index(this)==position && $(this).children(':last').hasClass('sousmenus'))
			{			
				var current=$(this);

				$(this).animate({opacity:1, left:'10%',top:'10%'},500);

				$('div.sousmenus:first').children(':not(:eq('+position+'))').each(

					function() {

						$(this).animate({left:(85*($(this).parent().children().index(this)-position)+10)+'%',top:'10%'},500);
				});		
				current.children(':last')
						.children()
						.each(

							function() {

							$(this).animate({
								'left'  : (85*($(this).parent().children().index(this))+10)+'%', top:'10%'
							}, 500);
						});				
				//Cadre

				$('div.cadre:first').animate({left:'-12.5%', top:'-12.5%', width:'125%', height:'125%',
					'-webkit-transform': 'perspective(500) rotateY(0deg) rotateX(0deg)'},500,function(){		
					//main=$('div.cadre:first').clone();

					$('div.cadre:first').css({ opacity: 0.7 });
					//dimensions du parent dupliqu

					$('div.cadre:first').css({left:(10+85*current.parent().children().length)+'%', top:'10%', width:'80%', height:'80%'});
					current.appendTo('body');

					$('div.cadre:first').appendTo(current.children(':last'));

					$('div.cadre:first').css({'-webkit-transform': 'perspective(0) rotateY(0deg) rotateX(0deg)' });
					current.css('left','10%');
					position=0;
					//BougerCadres();

					$('div.sousmenus:first')
						.children()
						.each(

							function() {

							$(this).animate({
								'left'  : (85*($(this).parent().children().index(this)-position)+10)+'%'
							}, 500);
						});
				});
			}
		});
}

function getInnerWidth()
{
	//return $('#total').width();
	w=0;

	if (document.body && document.body.offsetWidth) {
	 return document.body.offsetWidth;

	 if(w>1200) w=1200;
     return w;
	}

	if (document.compatMode=='CSS1Compat' &&
		document.documentElement &&
		document.documentElement.offsetWidth ) {
	 return document.documentElement.offsetWidth;

	 if(w>1200) w=1200;
     return w;
	}

	if (window.innerWidth && window.innerHeight) {
	 return window.innerWidth;

	 if(w>1200) w=1200;
     return w;
	}
}

function getInnerHeight()
{

	if (document.body && document.body.offsetHeight) {
	 return document.body.offsetHeight;
	}

	if (document.compatMode=='CSS1Compat' &&
		document.documentElement &&
		document.documentElement.offsetHeight ) {
	 return document.documentElement.offsetHeight;
	}

	if (window.innerWidth && window.innerHeight) {
	 return window.innerHeight;
	}
}