<?php

include "/homez.309/serviceswy/_config/index.php";

?><html>
	<head>
		<title>3D Frames and pages</title>
		<link rel="stylesheet" type="text/css" href="_param/style.css"/>
		<script type="text/javascript" src="_param/js/a_jquery-1.6.2.min.js"></script>
		<script type="text/javascript" src="_param/js/jquery.3dwindows.js"></script>
		<script type="text/javascript" src="_param/js/jquery.wipetouch.js"></script>
		<script type="text/javascript" src="_param/js/jquery-ui-1.8.16.custom.min.js"></script>
		<script type="text/javascript" src="_param/js/jquery.ba-resize.js"></script>
		<link rel="icon" type="image/png" href="http://suiterre.fr/icones//3d-128-full.png" />
		<link rel="image_src" href="http://suiterre.fr/icones//3d-128-full.png" />
		<meta property="og:image" content="http://suiterre.fr/icones//3d-128-full.png" />
	</head>
	<body>
		<?php
		$cadre=new cadre();
		$cadre->setTitre('Mon album photo');
		getDirectory('Photos',0,$cadre);

		function getDirectory( $path = '.', $level = 0 , & $cadre=null ){
			$ignore = array( '.', '..', '_param' );
			// Directories to ignore when listing output. Many hosts
			// will deny PHP access to the cgi-bin.
			////////////////////////
			// FICHIERS
			$dh = @opendir( $path );
			// Open the directory to the handle $dh

			while( false !== ( $file = readdir( $dh ) ) ){
			// Loop through the directory

				if( is_file("$path/$file") && !in_array( $file, $ignore ) ){
				// Check that this file is not to be ignored
					$cadre2=$cadre->addSousCadre();
					$spaces = str_repeat( '&nbsp;', ( $level * 4 ) );
					// Just to add spacing to the list, to better
					// show the directory tree.
					$cadre2->setTitre(substr($file,0,strlen($file)-4));
					$cadre2->setPage("$path/$file");
				}
			}
			closedir( $dh );
			// Close the directory handle
			///////////////////////////
			// DOSSIERS
			$dh = @opendir( $path );
			// Open the directory to the handle $dh

			while( false !== ( $file = readdir( $dh ) ) ){
			// Loop through the directory

				if( is_dir("$path/$file") && !in_array( $file, $ignore ) ){
				// Check that this file is not to be ignored
					$cadre2=$cadre->addSousCadre();
					$spaces = str_repeat( '&nbsp;', ( $level * 4 ) );
					// Just to add spacing to the list, to better
					// show the directory tree.
					$cadre2->setTitre($file.' ('.(count(scandir("$path/$file"))-2).' l.)');
					getDirectory( "$path/$file", ($level+1), $cadre2 );
					// Re-call this same function but on a new directory.
					// this is what makes function recursive.
				}
			}
			closedir( $dh );
			// Close the directory handle
		}
		$cadre->displayCadre();
		?>
	</body>
</html>
<?php
class cadre {
	var $titre=null;
	var $sousCadres=null;
	var $page=null;
	var $niveau=0;

	function setTitre($titre)
	{
		$this->titre=str_replace('_',' ',$titre);
	}

	function setPage($page)
	{
		$this->page=$page;
	}

	function setNiveau($niveau)
	{
		$this->niveau=$niveau;
	}

	function addSousCadre()
	{
		$cadre=new cadre;
		$cadre->setNiveau($this->niveau+1);
		$this->sousCadres[]=$cadre;
		return $cadre;
	}

	function displayCadre($position=0,$id="0")
	{
		?>
		<div class="cadre"  id="<?php echo $id ?>" style="left:<?php echo (10+85*$position) ?>%">
			<h1><?php echo $this->titre ?></h1>			
			<div class="gauche">
				<a href="#" onclick="AllerAGauche();"><img src="_param/img/left.png"/></a>
			</div>
			<div class="droite">
				<a href="#" onclick="AllerADroite();"><img src="_param/img/right.png"/></a>
			</div>
			<div class="bas">
				<a href="#" onclick="EntrerDedans();"><img src="_param/img/top.png"/></a>
			</div>
			<?php

			if($this->page)
			{
				?>
				<div class="interieur">
				<?php

				if(is_file($this->page))
				{

					if(strpos(strtolower($this->page),'.php')!==false)
				{

					include $this->page;

				}
				else
				{
					?>
					<img src="<?php echo $this->page ?>" height="100%"/>
					<?php
				}
			}
				else
				{
					echo $this->page;
				}
			}
			elseif($this->sousCadres)
			{
				?>
				<div class="sousmenus">
				<?php

				for($i=0;$i<count($this->sousCadres);$i++)
				{
					$cadre=$this->sousCadres[$i];
					$cadre->displayCadre($i,$id.".".$i);
				}
			}
			else
			{
				?>
				<div class="interieur">
				<?php
			}
			?>
			</div>		
		</div>
		<?php
	}
}